Salta ai contenuti

I testi legali in vigore della piattaforma (condizioni, privacy, DPA e allegati, condizioni per gli sviluppatori)

GET
/v1/legal
curl --request GET \
--url 'https://api.vimine.network/v1/legal?locale=it'

Una voce per tipo e lingua, in vigore oggi. ?all=1 aggiunge l’archivio delle versioni precedenti; ?locale=it|en limita le lingue.

locale

Solo questa lingua

string
Valori ammessi: it en zh-Hans zh-Hant fr es de pt-BR
all

1 per includere le versioni precedenti

string

Documenti

Tipo di contenutoapplication/json
object
documents
obbligatorio
Array<object>
object
uid
string formato: uuid
kind
obbligatorio

Tipo di documento (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
obbligatorio
string
Valori ammessi: it en zh-Hans zh-Hant fr es de pt-BR
version
obbligatorio

Etichetta della versione (1.0, 1.1, …)

string
title
obbligatorio
string
summary

Cosa è cambiato in questa versione

string
nullable
effective_from
string formato: date-time
nullable
retired_at
string formato: date-time
nullable
sha256

SHA-256 del corpo canonico del modello

string
nullable
current
obbligatorio

È la versione in vigore di questo tipo nella sua lingua

boolean
requires_reacceptance
boolean
archive

Versioni precedenti (con ?all=1)

Array<object>
object
uid
string formato: uuid
kind
obbligatorio

Tipo di documento (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
obbligatorio
string
Valori ammessi: it en zh-Hans zh-Hant fr es de pt-BR
version
obbligatorio

Etichetta della versione (1.0, 1.1, …)

string
title
obbligatorio
string
summary

Cosa è cambiato in questa versione

string
nullable
effective_from
string formato: date-time
nullable
retired_at
string formato: date-time
nullable
sha256

SHA-256 del corpo canonico del modello

string
nullable
current
obbligatorio

È la versione in vigore di questo tipo nella sua lingua

boolean
requires_reacceptance
boolean
Esempio
{
"documents": [
{
"locale": "it"
}
],
"archive": [
{
"locale": "it"
}
]
}

Richiesta non valida

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Non trovato

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Troppe richieste

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Errore interno

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}